%global unique_name eu.tiliado.WebRuntime

Name:           nuvola-app-amazon-cloud-player
Version:        5.7
Release:        1%{?dist}
Summary:        Amazon Cloud Player for Nuvola Player 3
License:        BSD
URL:            https://github.com/tiliado/nuvola-app-amazon-cloud-player
Source0:        https://github.com/tiliado/%{name}/archive/%{version}/%{name}-%{version}.tar.gz
Source1:        %{name}.metainfo.xml

BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib
BuildRequires:  nuvolasdk >= 4.10.0
BuildRequires:  python3-six
Requires:       hicolor-icon-theme
Requires:       %{_bindir}/nuvola

BuildArch:      noarch


%description
Integration of Amazon Cloud Player into your linux desktop via Nuvola Player.

%prep
%setup -q


%build
./configure --prefix=%{_prefix}
%make_build


%install
%make_install DESTDIR=%{buildroot}

# Register as an application to be visible in the software center
mkdir -p %{buildroot}%{_datadir}/appdata
cp  %{SOURCE1} %{buildroot}%{_datadir}/appdata/%{name}.metainfo.xml

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/appdata/%{name}.metainfo.xml

%files
%doc CHANGELOG.md README.md
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/applications/%{unique_name}AppAmazonCloudPlayer.desktop
%{_datadir}/appdata/%{name}.metainfo.xml
%{_datadir}/metainfo/%{name}.metainfo.xml
%{_datadir}/icons/*/*/*/%{unique_name}AppAmazonCloudPlayer.*
%dir %{_datadir}/nuvolaruntime/web_apps
%{_datadir}/nuvolaruntime/web_apps/amazon_cloud_player/
%{_datadir}/dbus-1/services/%{unique_name}AppAmazonCloudPlayer.service

%changelog
* Tue May 08 2018 Martin Gansser <martinkg@fedoraproject.org> - 5.7-1
- update to 5.7
- nuvolasdk >= 4.10.0 is required

* Mon Feb 19 2018 Martin Gansser <martinkg@fedoraproject.org> - 5.6-1
- update to 5.6

* Thu Jan 18 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 5.5-2
- Remove obsolete scriptlets

* Fri Sep 29 2017 Martin Gansser <martinkg@fedoraproject.org> - 5.5-1
- update to 5.5
- correct Source0 tag fixes (BZ#1497189).

* Tue Aug 01 2017 Martin Gansser <martinkg@fedoraproject.org> - 5.4-9
- rebuild for new version of nuvolasdk-4.6.0 and nuvolaruntime-4.6.0

* Fri Jul 28 2017 Martin Gansser <martinkg@fedoraproject.org> - 5.4-8
- correct the extends/name-tag in %%{name}.metainfo.xml

* Thu Jul 27 2017 Martin Gansser <martinkg@fedoraproject.org> - 5.4-7
- correct the extends/name-tag in %%{name}.metainfo.xml

* Mon Jun 26 2017 Martin Gansser <martinkg@fedoraproject.org> - 5.4-6
- dropped sed command
- remove %%{_datadir}/icons/*/*/*/nuvolaplayer3_amazon_cloud_player.* 

* Wed Jun 21 2017 Martin Gansser <martinkg@fedoraproject.org> - 5.4-5
- rename nuvolaplayer3 to nuvolaruntime in Makefile

* Tue Jun 20 2017 Martin Gansser <martinkg@fedoraproject.org> - 5.4-4
- add BR python3-six
- add RR %%{_bindir}/nuvola
- delete BR nuvolaruntime-devel

* Fri Jun 16 2017 Martin Gansser <martinkg@fedoraproject.org> - 5.4-3
- remove Recommends: flash-plugin
- rename RR nuvolaplayer-devel to nuvolaruntime-devel

* Fri May 26 2017 Martin Gansser <martinkg@fedoraproject.org> - 5.4-2
- Add %%{name}.metainfo.xml file
- Add BR libappstream-glib

* Fri May 26 2017 Martin Gansser <martinkg@fedoraproject.org> - 5.4-1
- Update to 5.4-1

* Sat Jan 21 2017 Martin Gansser <martinkg@fedoraproject.org> - 5.2-1
- initial build
